Etch courier-authmysql upgrade to courier-authlib-mysql

Discussion in 'Installation/Configuration' started by mindrail, Jul 18, 2007.

  1. mindrail

    mindrail New Member

    Yikes!

    Etch amavis/spamassassin/postfix/courier with all the latest trimmings:

    20:34 17:07:2007$ apt-get dist-upgrade

    Reading Package Lists... Done
    Building Dependency Tree... Done
    Calculating Upgrade... Done
    The following packages will be REMOVED:
    apache2-common courier-authmysql libnet-perl libnewt0.51 netkit-inetd postfix-tls python2.3 python2.3-gdbm
    The following NEW packages will be installed:
    <snip>
    update-inetd
    The following packages have been kept back:
    apt-file libkrb5-17-heimdal
    The following packages will be upgraded:
    adduser amavisd-new
    <snip>
    95 upgraded, 68 newly installed, 8 to remove and 2 not upgraded.
    Need to get 92.9MB of archives.
    After unpacking 143MB of additional disk space will be used.
    Do you want to continue? [Y/n]

    I ran the upgrade, including noting that courier's auth has changed completely.

    After this, I got hold of courier-authlib-mysql, apt-got it.

    Restarted the whole service including mysql, and I can still not log in to pop mail.

    Mail still dequeuing ok (that's how I managed to register here!) so it's purely an access thing.

    Can anyone godly in these ways tell me how to get courier-authlib-mysql integrated so that my mysql user tables can be used to check pop?

    Thanks IA
    mindrail
     
  2. falko

    falko Super Moderator ISPConfig Developer

  3. mindrail

    mindrail New Member

    Falko - thanks I've just sorted it. A late one last night, but thanks for your reply.
     

Share This Page